### A free/open-source library for quantitative finance

Public Types
Restructuring Struct Reference

Restructuring type. More...

`#include <ql/experimental/credit/defaulttype.hpp>`

List of all members.

## Public Types

enum | Type { NoRestructuring = 0, ModifiedRestructuring, ModifiedModifiedRestructuring, FullRestructuring, AnyRestructuring, XR = NoRestructuring, MR = ModifiedRestructuring, MM = ModifiedModifiedRestructuring, CR = FullRestructuring }

## Detailed Description

Restructuring type.